Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/configure.zcml
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/configure.zcml	(revision 2817)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/configure.zcml	(revision 2834)
@@ -49,3 +49,10 @@
       />
 
+<!-- Resource directory for images -->
+  <browser:resourceDirectory
+      name="quintagroup.dropdownmenu.images"
+      directory="images"
+      layer="..interfaces.IDropDownMenuLayer"
+      />
+
 </configure>
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/resources/drop_down.css
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/resources/drop_down.css	(revision 2817)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/resources/drop_down.css	(revision 2834)
@@ -3,157 +3,74 @@
 body {
   behavior:url("/@@csshover.htc");
-}
+  }
+#portal-top {
+  z-index:1;
+  }
 
+/*---------- BASIC STYLE one level ----------*/
+#portal-globalnav {
+  list-style-image:none;
+  position:relative; /* fix ie */
+  zoom:1; /* fix ie */
+  }
+#portal-globalnav:after {
+  content:"";
+  clear:both;
+  display:block;
+  visibility:hidden;
+  }
+#portal-globalnav li {
+  display:block;
+  float:left;
+  position:relative;
+  }
+#portal-globalnav li a {
+  display:block;
+  }
+#portal-globalnav li.selected a,
+#portal-globalnav li.selected a:hover {
+  background-color:#205C90;
+  color:#fff;
+  }
 
-/*             ------  Basic style  ------             */
-#portal-globalnav ul {
-        margin: 0;
-        padding: 0;
-        border: 0;
-        list-style-type: none;
-}
-
-#portal-globalnav li {
-        margin: 0;
-        padding: 0;
-        border: 0;
-        display: inline;
-        float: left;
-        z-index: 10000;
-        position: relative;
-}
-
-#portal-globalnav a {
-        float: left;/* \*/float: none;/*  */
-        display: block;
-}
-
+/*----- DropDown -----*/
 #portal-globalnav li ul {
-        visibility: hidden;
-        position: absolute;
-        width: 20em;
-}
-
-#portal-globalnav li ul li {
-        width: 100%;
-        display: block;
-        float: left;
-        position: static;
-}
-
-#portal-globalnav li ul li a {
-        width: 100%;
-}
-
-html>body #portal-globalnav li ul li {
-        float: none;
-        position: relative;
-}
-
-#portal-globalnav .csshover li ul li:hover {
-        position: relative;
-}
-
-
-/* fix the position */
-#portal-globalnav li ul li ul {
-        top: 0;
-        left: 100%;
-}
-
-
-
-/* simulate child selector for IE */
-div#portal-globalnav .csshover li:hover ul, #portal-globalnav .csshover li:hover li:hover ul, #portal-globalnav .csshover li:hover li:hover li:hover ul, #portal-globalnav .csshover li:hover li:hover li:hover li:hover ul {
-        visibility: visible;
-}
-#portal-globalnav .csshover li:hover li ul, #portal-globalnav .csshover li:hover li:hover li ul, #portal-globalnav .csshover li:hover li:hover li:hover li ul, #portal-globalnav .csshover li:hover li:hover li:hover li:hover li ul { 
-        visibility: hidden;
-}
-
-/* do the normal show, with increased specificity */
-#portal-globalnav ul#portal-globalnavList .csshover li:hover > ul {
-       visibility: visible;
-}
-
-/*     ------   Make-up --------            */
-
-#portal-globalnav li.invisibleHeightKeeper {
-        visibility: hidden;
-        float: none;
-}
-
-#portal-globalnav .csshover ul li ul li a:hover,
-#portal-globalnav .csshover ul li ul li:hover a {
-        color: #436976;
-}
-
-#portal-globalnav ul li ul li a {
-        border-style: none;
-        margin-right: 0em;
-}
-
-#portal-globalnav ul li ul {
-        border: 1px solid #8cacbb;
-        padding-bottom: 1px;
-        overflow: hidden;
-}
-
-#portal-globalnav .csshover ul li:hover ul li:hover ul  a {
-        color: #436976;
-}
-
-/* latest changes */
-
-#portal-globalnav ul {
-        font-size: 8pt;
-        list-style-type: none;
-        list-style-image: none;
-}
-
+  display:none;
+  left:0;
+  position:absolute;
+  top:100%;
+  }
+#portal-globalnav li:hover > ul {
+  display:block;
+  }
 #portal-globalnav ul li {
-        padding: 0;
-        margin: 0;
-        line-height: normal;
-}
-
-#portal-globalnav ul li.selected a,
-#portal-globalnav .csshover ul li a:hover {
-        background-color: #dee7ec;
-        color: #436976;
-}
-
-#portal-globalnav .csshover ul li:hover ul {
-        margin: 0;
-        border: 1px solid #8cacbb;
-        background-color: White;
-        overflow: visible;
-}
-
-#portal-globalnav .csshover ul li:hover ul li {
-        padding: 0;
-        margin: 0;
-}
-
-#portal-globalnav .csshover ul li:hover ul li a {
-        color: #436976 !important;
-        margin: 0;
-        line-height: normal;
-        width: auto;
-}
-
-#portal-globalnav .csshover ul li ul li a:hover {
-        background-image: none;
-}
-
-.kupu-fulleditor-zoomed #portal-globalnav {
-        display: none;
-}
-
-/*Configlet styles************************************************************/
-
-.ieVisible {display: none;}
-
-* html .ieHidden {display: none;}
-
-* html .ieVisible {display: block;}
+  float:none;
+  margin:0;
+  }
+#portal-globalnav ul li a {
+  background-color:#ddd;
+  border-top:1px solid #fff;
+  height:auto;
+  padding:0.5em 1.5em 0.5em 1em;
+  width:12em;
+  }
+#portal-globalnav li.selected ul li a {
+  background-color:#ddd;
+  color:#205C90;
+  }
+#portal-globalnav li ul ul {
+  top:0;
+  left:100%;
+  }
+#portal-globalnav ul li a.hasChildrens {
+  background-image:url(++resource++quintagroup.dropdownmenu.images/ddm-pointer.gif);
+  background-position:100% 50%;
+  background-repeat:no-repeat;
+  background-color:#ddd;
+  }
+#portal-globalnav ul li a.hasChildrens:hover {
+  background-image:url(++resource++quintagroup.dropdownmenu.images/ddm-pointer.gif);
+  background-position:100% 50%;
+  background-repeat:no-repeat;
+  background-color:#205C90;
+  }
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections.pt
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections.pt	(revision 2817)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections.pt	(revision 2834)
@@ -1,15 +1,8 @@
 <tal:tabs tal:condition="view/portal_tabs"
           i18n:domain="plone">
-    <h5 class="hiddenStructure" i18n:translate="heading_sections">Sections</h5>
-    <div id="portal-globalnav">
-        <div class="csshover">
-            <ul class="globalSections">
-                <li tal:replace="structure view/createMenu">
-                    DropDown Menu
-                </li>
-                <li class="invisibleHeightKeeper">&nbsp;</li>
-            </ul>
-        </div>
-      <div class="visualClear"><!-- --></div>
-    </div>
+    <ul id="portal-globalnav">
+        <li tal:replace="structure view/createMenu">
+            DropDown Menu
+        </li>
+    </ul>
 </tal:tabs>
Index: quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections_recurse.pt
===================================================================
--- quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections_recurse.pt	(revision 2817)
+++ quintagroup.dropdownmenu/trunk/quintagroup/dropdownmenu/browser/templates/sections_recurse.pt	(revision 2834)
@@ -18,6 +18,7 @@
                 li_folder_class python:show_children and ' globalSectionsFolderish' or '';
                 item_type       node/normalized_portal_type | nothing;
-                li_class string:globalSectionsItem visualNoMarker${li_class}${li_extr_class}${li_folder_class}"
-    tal:attributes="class python:children and li_class+' hasChildrens' or li_class">
+                li_class string:globalSectionsItem visualNoMarker${li_class}${li_extr_class}${li_folder_class};
+                li_class python:children and li_class+' hasChildrens' or li_class"
+    tal:attributes="class li_class">
 
     <tal:level define="show_icons view/conf/show_icons;