Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/configure.zcml
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/configure.zcml	(revision 2755)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/configure.zcml	(revision 2867)
@@ -22,3 +22,9 @@
       file="resources/batch_size_enable.js" />
 
+  <!-- Register resources -->
+  <browser:resource
+      name="batch_qcollective.css"
+      file="resources/batch_qcollective.css"
+      />
+
 </configure>
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/resources/batch_qcollective.css
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/resources/batch_qcollective.css	(revision 2867)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/resources/batch_qcollective.css	(revision 2867)
@@ -0,0 +1,15 @@
+dl.portlet.portletQCollection dt a {
+  display:inline;
+  }
+.portletNavSection {
+  color:#205c90;
+  float:right;
+  }
+.portletNavSection a.navlink,
+.portletNavSection a.prevlink,
+.portletNavSection a.nextlink {
+  cursor:pointer;
+  }
+.portletNavSection a.navlink.selected {
+  color:#75AD0A; 
+  }
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/templates/navigation.pt
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/templates/navigation.pt	(revision 2755)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/browser/templates/navigation.pt	(revision 2867)
@@ -4,6 +4,5 @@
     <a class="navlink" style='display: none'>
       <span class="navlinkValue" tal:content="repeat/batch/number"/>
-      <span class="navlinkSeparator" tal:condition="not:repeat/batch/end">|</span>
-    </a>
+    </a><span class="navlinkSeparator" tal:condition="not:repeat/batch/end">|</span>
   </tal:block>
   <a class='nextlink' style="display:none">&#62;</a>
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/collection.pt
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/collection.pt	(revision 2755)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/collection.pt	(revision 2867)
@@ -1,3 +1,3 @@
-<dl class="portlet portletCollection"
+<dl class="portlet portletCollection portletQCollection"
     i18n:domain="plone"
     tal:define="collection_url view/collection_url;
@@ -7,4 +7,8 @@
     <dt class="portletHeader">
         <span class="portletTopLeft"></span>
+        <span class="portletNavSection"
+              tal:condition="view/data/allow_batching"
+              tal:content="structure view/batch_navigation">
+        </span>
         <a tal:attributes="href collection_url"
            tal:omit-tag="not:view/data/link_title">
@@ -12,8 +16,4 @@
         </a>
         <span class="portletTopRight"></span>
-        <span class="portletNavSection"
-              tal:condition="view/data/allow_batching"
-              tal:content="structure view/batch_navigation">
-        </span>
     </dt>
     <tal:items replace="structure view/render_items"/>
Index: quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/profiles/default/cssregistry.xml
===================================================================
--- quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/profiles/default/cssregistry.xml	(revision 2867)
+++ quintagroup.portlet.collection/trunk/quintagroup/portlet/collection/profiles/default/cssregistry.xml	(revision 2867)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<object name="portal_css" meta_type="Stylesheets Registry">
+ <stylesheet title="Batch QCollective" cacheable="True" compression="safe" cookable="True"
+     enabled="1" expression="" id="++resource++batch_qcollective.css" media="screen"
+     rel="stylesheet" rendering="import"/>
+</object>