Index: /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/browser/commonview.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/browser/commonview.py	(revision 2939)
+++ /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/browser/commonview.py	(revision 2940)
@@ -8,5 +8,4 @@
 
 from quintagroup.plonegooglesitemaps import qPloneGoogleSitemapsMessageFactory as _
-from quintagroup.plonegooglesitemaps.config import BLACKOUT_PREFIX
 from quintagroup.plonegooglesitemaps.interfaces import IBlackoutFilter
 from quintagroup.plonegooglesitemaps.browser.utils import additionalURLs, applyOperations
@@ -114,5 +113,5 @@
             fspec = frec.split(":")
             fargs = fspec.pop()
-            fname = BLACKOUT_PREFIX + (fspec and fspec.pop() or "id")
+            fname = fspec and fspec.pop() or "id"
             fengine = queryMultiAdapter((self.context, self.request),
                           interface=IBlackoutFilter, name=fname)
Index: /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/config.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/config.py	(revision 2939)
+++ /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/config.py	(revision 2940)
@@ -33,4 +33,2 @@
 except ImportError:
     SUPPORT_BLAYER = False
-
-BLACKOUT_PREFIX = "seoptimzier.blackoutfilter."
Index: /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/configure.zcml
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/configure.zcml	(revision 2939)
+++ /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/configure.zcml	(revision 2940)
@@ -31,9 +31,9 @@
     <!-- Register default filters -->
     <adapter
-	for="*
-	     zope.publisher.interfaces.browser.IBrowserRequest"
-	factory=".filters.IdBlackoutFilter"
-        name="seoptimzier.blackoutfilter.id"
-	permission="zope.Public" />
+        for="*
+             zope.publisher.interfaces.browser.IBrowserRequest"
+        factory=".filters.IdBlackoutFilter"
+        name="id"
+        permission="zope.Public" />
 
     <adapter
@@ -41,6 +41,6 @@
              zope.publisher.interfaces.browser.IBrowserRequest"
         factory=".filters.PathBlackoutFilter"
-        name="seoptimzier.blackoutfilter.path"
-	permission="zope.Public" />
+        name="path"
+        permission="zope.Public" />
 
 
Index: /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py
===================================================================
--- /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py	(revision 2939)
+++ /quintagroup.plonegooglesitemaps/branches/blacklist/quintagroup/plonegooglesitemaps/tests/testBlackoutList.py	(revision 2940)
@@ -7,9 +7,6 @@
 
 from Products.CMFPlone.utils import _createObjectByType
-from quintagroup.plonegooglesitemaps.config import BLACKOUT_PREFIX
 from quintagroup.plonegooglesitemaps.interfaces import IBlackoutFilter
 
-idfname = BLACKOUT_PREFIX + "id"
-pathfname = BLACKOUT_PREFIX + "path"
 
 class TestBOFilters(TestCase):
@@ -17,13 +14,13 @@
     def testDefaultId(self):
         idfilter = queryMultiAdapter((self.portal, self.app.REQUEST),
-                       IBlackoutFilter, name=idfname)
+                       IBlackoutFilter, name="id")
         self.assertTrue(idfilter is not None,
-            "Not registered default '%s' IBlackoutFilter" % idfname)
+            "Not registered default 'id' IBlackoutFilter")
 
     def testDefaultPath(self):
         pathfilter = queryMultiAdapter((self.portal, self.app.REQUEST),
-                         IBlackoutFilter, name=pathfname)
+                         IBlackoutFilter, name="path")
         self.assertTrue(pathfilter is not None,
-            "Not registered default '%s' IBlackoutFilter" % pathfname)
+            "Not registered default 'path' IBlackoutFilter")
 
 
@@ -56,37 +53,37 @@
 
     def testIdFilter(self):
-        catpaths, filtered = self.getPreparedLists(idfname, "doc1")
+        catpaths, filtered = self.getPreparedLists("id", "doc1")
         self.assertTrue(type(filtered) in [ListType, TupleType],
-            'Object type, returned by filteredOut method of "%s" utility '\
-            'not list nor tuple' % idfname)
+            'Object type, returned by filteredOut method of "id" filter '\
+            'not list nor tuple')
         excluded = ["/%s/doc1" % self.portal.absolute_url(1),
                     "/%s/doc1" % self.folder.absolute_url(1)]
         self.assertTrue(
             set(catpaths)-set(filtered) == set(excluded),
-            'Wrong filtered-out by "%s" filter:\nsrc %s\nres %s\nexcluded %s' % (
-             idfname, catpaths, filtered, excluded))
+            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s' % (
+             catpaths, filtered, excluded))
 
     def testAbsolutePathFilter(self):
-        catpaths, filtered = self.getPreparedLists(pathfname, "/doc1")
+        catpaths, filtered = self.getPreparedLists("path", "/doc1")
         self.assertTrue(type(filtered) in [ListType, TupleType],
-            'Object type, returned by filteredOut method of "%s" utility '\
-            'not list nor tuple' % pathfname)
+            'Object type, returned by filteredOut method of "path" filter '\
+            'not list nor tuple')
         excluded = ["/%s/doc1" % self.portal.absolute_url(1)]
         self.assertTrue(
             set(catpaths)-set(filtered) == set(excluded),
-            'Wrong filtered-out by "%s" filter:\nsrc %s\nres %s\nexcluded %s' % (
-             pathfname, catpaths, filtered, excluded))
+            'Wrong filtered-out by "path" filter:\nsrc %s\nres %s\nexcluded %s' % (
+             catpaths, filtered, excluded))
 
     def testRelativePathFilter(self):
         self.sm = _createObjectByType('Sitemap', self.folder, id='google-sitemaps')
-        catpaths, filtered = self.getPreparedLists(pathfname, "./doc1")
+        catpaths, filtered = self.getPreparedLists("path", "./doc1")
         self.assertTrue(type(filtered) in [ListType, TupleType],
-            'Object type, returned by filteredOut method of "%s" utility '\
-            'not list nor tuple' % pathfname)
+            'Object type, returned by filteredOut method of "path" utility '\
+            'not list nor tuple')
         excluded = ["/%s/doc1" % self.folder.absolute_url(1)]
         self.assertTrue(
             set(catpaths)-set(filtered) == set(excluded),
-            'Wrong filtered-out by "%s" filter:\nsrc %s\nres %s\nexcluded %s' % (
-             pathfname, catpaths, filtered, excluded))
+            'Wrong filtered-out by "path" filter:\nsrc %s\nres %s\nexcluded %s' % (
+             catpaths, filtered, excluded))
 
 
@@ -110,6 +107,6 @@
         excluded = ["%s/doc1" % self.portal.absolute_url()]
         self.assertTrue(set(catpaths)-set(filtered) == set(excluded),
-            'Wrong filtered-out by "%s" filter:\nsrc %s\nres %s\nexcluded %s' % (
-             idfname, catpaths, filtered, excluded))
+            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s' % (
+             catpaths, filtered, excluded))
 
     def testDefaultFilterUtility(self):
@@ -118,6 +115,6 @@
                     "%s/doc1" % self.folder.absolute_url()]
         self.assertTrue(set(catpaths)-set(filtered) == set(excluded),
-            'Wrong filtered-out by "%s" filter:\nsrc %s\nres %s\nexcluded %s' % (
-             idfname, catpaths, filtered, excluded))
+            'Wrong filtered-out by "id" filter:\nsrc %s\nres %s\nexcluded %s' % (
+             catpaths, filtered, excluded))
         # Now check is output of unnamed filter samed to named one.
         self.sm.edit(blackout_list="doc1")