Index: /quintagroup.analytics/trunk/quintagroup/analytics/browser/ownership_by_state.pt
===================================================================
--- /quintagroup.analytics/trunk/quintagroup/analytics/browser/ownership_by_state.pt	(revision 2998)
+++ /quintagroup.analytics/trunk/quintagroup/analytics/browser/ownership_by_state.pt	(revision 2999)
@@ -33,4 +33,8 @@
             </tr>
             <tr>
+                <th tal:content="view/getNoWFContentTitle">Document</th>
+                <td tal:repeat="count view/getNoWFContent" tal:content="count">123</td>
+            </tr>
+            <tr>
                 <th>Total</th>
                 <td tal:repeat="total view/getTotal" tal:content="total">123</td>
Index: /quintagroup.analytics/trunk/quintagroup/analytics/browser/type_by_state.pt
===================================================================
--- /quintagroup.analytics/trunk/quintagroup/analytics/browser/type_by_state.pt	(revision 2998)
+++ /quintagroup.analytics/trunk/quintagroup/analytics/browser/type_by_state.pt	(revision 2999)
@@ -33,4 +33,8 @@
             </tr>
             <tr>
+                <th tal:content="view/getNoWFContentTitle">No workflow</th>
+                <td tal:repeat="count view/getNoWFContent" tal:content="count">123</td>
+            </tr>
+            <tr>
                 <th>Total</th>
                 <td tal:repeat="total view/getTotal" tal:content="total">123</td>
Index: /quintagroup.analytics/trunk/quintagroup/analytics/browser/views.py
===================================================================
--- /quintagroup.analytics/trunk/quintagroup/analytics/browser/views.py	(revision 2998)
+++ /quintagroup.analytics/trunk/quintagroup/analytics/browser/views.py	(revision 2999)
@@ -18,5 +18,5 @@
 from GChartWrapper import VerticalBarStack
 
-from quintagroup.analytics.config import COLORS, OTHER_TYPES
+from quintagroup.analytics.config import COLORS, OTHER_TYPES, NO_WF_BIND
 
 class OwnershipByType(BrowserView):
@@ -147,4 +147,6 @@
     def getContent(self, type_):
         if type_ not in self.data:
+            if NO_WF_BIND not in self.data:
+                self.data[NO_WF_BIND] = self.getTotal()
             data = self.data[type_] = []
             for user in self.getUsers():
@@ -155,5 +157,13 @@
                 else:
                     data.append(l)
+            if len(data) > 0:
+                self.data[NO_WF_BIND] = map(lambda t,d:t-d, self.data[NO_WF_BIND], data)
         return self.data[type_]
+
+    def getNoWFContentTitle(self):
+        return NO_WF_BIND
+
+    def getNoWFContent(self):
+        return self.getContent(NO_WF_BIND)
 
     def getTotal(self):
@@ -166,7 +176,8 @@
         for state in self.getStates():
             data.append(self.getContent(state))
+        data.append(self.getNoWFContent())
         max_value = max(self.getTotal())
         chart = VerticalBarStack(data, encoding='text')
-        chart.title('Content ownership by state').legend(*self.states)
+        chart.title('Content ownership by state').legend(*self.states+[NO_WF_BIND])
         chart.bar('a', 10, 0).legend_pos("b")
         chart.color(*COLORS)
@@ -225,4 +236,6 @@
     def getContent(self, state):
         if state not in self.data:
+            if NO_WF_BIND not in self.data:
+                self.data[NO_WF_BIND] = self.getTotal()
             data = self.data[state] = []
             for type_ in self.getTypes():
@@ -233,4 +246,6 @@
                 else:
                     data.append(l)
+            if len(data) > 0:
+                self.data[NO_WF_BIND] = map(lambda t,d:t-d, self.data[NO_WF_BIND], data)
         return self.data[state]
 
@@ -240,11 +255,18 @@
         return self.total
 
+    def getNoWFContentTitle(self):
+        return NO_WF_BIND
+
+    def getNoWFContent(self):
+        return self.getContent(NO_WF_BIND)
+
     def getChart(self):
         data = []
         for state in self.getStates():
             data.append(self.getContent(state))
+        data.append(self.getContent(NO_WF_BIND))
         max_value = max(self.getTotal())
         chart = VerticalBarStack(data, encoding='text')
-        chart.title('Content type by state').legend(*self.states)
+        chart.title('Content type by state').legend(*self.states+[NO_WF_BIND])
         chart.bar('a', 10, 0).legend_pos("b")
         chart.color(*COLORS)
Index: /quintagroup.analytics/trunk/quintagroup/analytics/config.py
===================================================================
--- /quintagroup.analytics/trunk/quintagroup/analytics/config.py	(revision 2998)
+++ /quintagroup.analytics/trunk/quintagroup/analytics/config.py	(revision 2999)
@@ -1,2 +1,3 @@
 COLORS = ['669933', 'CC9966', '993300', 'FF6633', 'E8E4E3', 'A9A486', 'DCB57E', 'FFCC99', '996633', '333300', '00FF00']
 OTHER_TYPES = ['Other types']
+NO_WF_BIND = 'No workflow'